﻿<%@ Page Language="vb" AutoEventWireup="True" Theme="Aqua" CodeBehind="PaymentsList.aspx.vb" Inherits="WisejWebDesktop_VB._PaymentsList" %>

<%@ Register Assembly="DevExpress.Web.v24.1, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.XtraReports.v24.1.Web.WebForms, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.XtraReports.Web" TagPrefix="dx" %>

<%@ Register Assembly="DevExpress.Xpo.v24.1, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Xpo" TagPrefix="dx" %>

<%-- These are needed for the message boxes which can be fired from client side or server side... ---------------------------%>
<%@ Register Assembly="ProudMonkey.Common.Controls" Namespace="ProudMonkey.Common.Controls" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%---------------------------------------------------------------------------------------------------------------------------%>

<!DOCTYPE html>

<html>
<head runat="server">

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>List Of Payments</title>
    <script type="text/javascript" src="scripts/jquery-3.0.0.min.js"></script>
    <script type="text/javascript" src="dist/ExternalCalls.js"></script>

    <%--This allows you to set the client to Full Screen...-----------------%>
    <script type="text/javascript" src="dist/screenfull.js"></script>

    <%-- This is for the Exit message box... -------------------------------%>
    <script type="text/javascript" src="dist/sweetalert.min.js"></script>
    <link rel="stylesheet" type="text/css" href="dist/sweetalert.css" />

    <script type="text/javascript">


        //This is needed to start the TTS Engine...
        var msg = new SpeechSynthesisUtterance();
        var voices = window.speechSynthesis.getVoices();
        msg.voice = voices[1]; // Note: some voices don't support altering params
        msg.voiceURI = 'native';
        msg.volume = 1; // 0 to 1
        msg.rate = 1; // 0.1 to 10
        msg.pitch = 1; //0 to 2
        msg.text = 'Welcome';
        msg.lang = 'en-US';

        function VoiceDateError(s, e) {
            var msg = new SpeechSynthesisUtterance();
            var voices = window.speechSynthesis.getVoices();
            var Response = s;

            msg.voice = voices[1]; // Note: some voices don't support altering params
            msg.voiceURI = 'native';
            msg.volume = 1; // 0 to 1
            msg.rate = .8; // 0.1 to 10
            msg.pitch = 1; //0 to 2
            msg.text = Response;
            msg.lang = 'en-US';
            speechSynthesis.speak(msg);
        }

 
        function TestFunction(s, e) {
            alert("TestFunction...");
            //callback3.PerformCallback();
            openWindow("Window2");
            alert("Done...");
        }

        function SendToGrid(s, e) {
            alert("Here...");
            gridListOfPayments.PerformCallback("UpdateGrid");
        }

        //This function closes up the State GridLookup...
        function CloseGridStateFund() {
            gridStateFund.ConfirmCurrentSelection();
            gridStateFund.HideDropDown();
            gridStateFund.Focus();
        }

        //This function closes up the Insolvency GridLookup...
        function CloseGridInsolvency() {
            gridInsolvency.ConfirmCurrentSelection();
            gridInsolvency.HideDropDown();
            gridInsolvency.Focus();
        }

        //This function closes up the RecoveryType GridLookup...
        function CloseGridRecoveryType() {
            gridRecoveryType.ConfirmCurrentSelection();
            gridRecoveryType.HideDropDown();
            gridRecoveryType.Focus();
        }

        //This function closes the Payment List window...
        function ClosePaymentsList() {
            popListOfPayments.Hide();

            //var desktopManager = window.parent.ISGetObject("dm1");
            //var iframeWindow = desktopManager.GetWindow("wndListOfPayments");
            //iframeWindow.Close();
        }

        //Test...
        function OnSelectedIndexChanged(s, e) {
            alert(s.GetSelectedItem().text);
        }

        function CheckValues(s, e) {
            //parent.CaptureScreen('Save');
            ShowMessages();
        }

        //Iterates through the screen objects and checks their values...
        function ShowMessages(s, e) {
            var selectedItemsCount = chkAmountType.GetSelectedItems().length;
            var startDate = new Date();
            var endDate = new Date();
            var difference = -1;

            //Check Start and End date... (Make it RED if there's an error)
            if (mskStartDate.GetDate() == null) {
                var SpeechText = "I'm sorry, but one of the dates you entered is not valid. Please look at the highlighted date and make the necessary corrections. ";
                VoiceDateError(SpeechText);
                ShowMsgBox('Warning', 'Please check Start Date...');
                mskStartDate.GetMainElement().style.backgroundColor = "red";
                return;
            }
            if (mskEndDate.GetDate() == null) {
                var SpeechText = "I'm sorry, but one of the dates you entered is not valid. Please look at the highlighted date and make the necessary corrections. ";
                VoiceDateError(SpeechText);
                ShowMsgBox('Warning', 'Please check End Date...');
                mskEndDate.GetMainElement().style.backgroundColor = "red";
                return;
            }
            //Calculate the date range difference... (Make it RED if there's an error)
            startDate = mskStartDate.GetDate();
            if (startDate != null) {
                endDate = mskEndDate.GetDate();
                var startTime = startDate.getTime();
                var endTime = endDate.getTime();
                difference = (endTime - startTime) / 86400000;
            }
            if (difference < 0) {
                ShowMsgBox('Error', "Invalid Date Range! (Days: " + difference + ")");
                var SpeechText = "I'm sorry, but the dates you entered would produce a negative date range and is therefore invallid. Please look at the dates and make the necessary corrections. ";
                VoiceDateError(SpeechText);
                mskEndDate.GetMainElement().style.backgroundColor = "red";
                return;
            }
            //Selected State check...
            if (gridStateFund.GetGridView().GetSelectedRowCount() == 0) {
                alert(gridStateFund.GetGridView().GetSelectedRowCount());
                //gridStateFund.GetGridView().GetItemElement(i).style.color = "red";
                ShowMsgBox('Warning', "Select the required States or Select All");
                var SpeechText = "I'm sorry there is a problem with your selection, Please select the required States or Select All ";
                VoiceDateError(SpeechText);
                return;
            }
            //Make sure they selected a Check Amount Type... (Make it RED if there's an error)
            if (selectedItemsCount == 0) {
                for (i = 0; i < chkAmountType.GetItemCount(); i++) {
                    chkAmountType.GetItemElement(i).style.color = "red";
                }
                ShowMsgBox('Warning', "Please select All, Paid Checks, Recovery or Reversal in the 'Include' section.");
                var SpeechText = "I'm sorry there is a problem with your selection, Please select All, Paid Checks, Recovery or Reversal in the 'Include' section.";
                VoiceDateError(SpeechText);
                return;
            }
            for (i = 0; i < chkAmountType.GetItemCount(); i++) {
                chkAmountType.GetItemElement(i).style.color = "";
            }
            //Launch the Grid popup...
            if (rbgGenerate.GetSelectedIndex() == 1) {
                //Show the "Loading" panel while the records are retrieved by the Callback...
                loadingPanel.Show();
                Callback1.PerformCallback();
                //ShowGridWindow();
            }
            else {
                //Launch the Report popup...
                loadingPanel.Show();
                Callback2.PerformCallback();
                //ShowReportWindow();
            }
        }

        function openWisejForm(formName) {

            //alert("TestFunction...");
            //callback3.PerformCallback();

            //openForm("Window2");
            //alert("Done...");

            //alert("Here1");
            //fetch('/MyDesktop.OpenForm?args=' + formName);
            //alert(formName);
        }

    </script>

    <style type="text/css">
        .dxgvControl,
        .dxgvDisabled {
            border: 1px Solid #9F9F9F;
            font: 12px Tahoma, Geneva, sans-serif;
            background-color: #F2F2F2;
            color: Black;
            cursor: default;
        }

        .dxgvTitlePanel,
        .dxgvTable caption {
            font-size: 1.25em;
            font-weight: normal;
            padding: 3px 3px 5px;
            text-align: center;
            background-color: #ACACAC;
            color: White;
            border-bottom: 1px Solid #9F9F9F;
        }

        .dxgvSearchPanel {
            padding: 7px;
            border-bottom: 1px solid #9F9F9F;
        }

        .dxgvGroupPanel {
            padding: 7px 4px 8px 6px;
            white-space: nowrap;
        }

        .dxgvAdaptiveGroupPanel,
        .dxgvGroupPanel {
            background-color: #EDEDED;
            color: #8D8D8D;
            border-bottom: 1px Solid #9F9F9F;
        }

        .dxgvTable {
            -webkit-tap-highlight-color: rgba(0,0,0,0);
        }

        .dxgvTable {
            background-color: White;
            border-width: 0;
            border-collapse: separate !important;
            overflow: hidden;
        }

        .dxgvHeader {
            cursor: pointer;
            white-space: nowrap;
            padding: 4px 6px;
            border: 1px Solid #9F9F9F;
            background-color: #DCDCDC;
            overflow: hidden;
            font-weight: normal;
            text-align: left;
        }

        .dxgvTable .dxgvHEC {
            background-color: White;
            border-width: 0;
            overflow: hidden;
        }

        .dxgvFilterRow {
            background-color: #E7E7E7;
        }

        .dxgvFooter {
            background-color: #D7D7D7;
        }

        .dxgvFilterBar {
            border-top: 1px solid #9F9F9F;
            background: #d4d4d4 none;
        }

        .dxgvFilterBarImageCell {
            padding: 0 1px 0 3px;
            cursor: pointer;
        }

        .dxgvFilterBarExpressionCell {
            padding: 5px 5px 8px 0;
            white-space: nowrap;
        }
    </style>

</head>
<body id="body">

    <form id="form1" runat="server">

        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" CombineScripts="True" EnablePageMethods="True">
        </asp:ToolkitScriptManager>

        <%--These refernces are needed to use the message box control...--%>
        <cc1:ConfirmBox ID="ConfirmBox2" runat="server" />
        <cc1:MessageBox ID="MessageBox2" runat="server" />
        <cc1:FrameBox ID="FrameBox2" runat="server" />
        <dx:ASPxCallbackPanel ID="myCallbackPanel" runat="server" Width="200px" ClientInstanceName="myCallbackPanel">
            <PanelCollection>
                <dx:PanelContent runat="server">
 
        <table>
            <tr>
                <td></td>
                <td>
                    <dx:ASPxPopupControl ID="popListOfPayments" runat="server" AllowResize="False" ClientInstanceName="popListOfPayments" CloseAction="CloseButton" CloseAnimationType="Fade" FooterText="" HeaderText="List Of Payments" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" ScrollBars="Auto" ShowSizeGrip="True" Theme="Aqua" Width="1100px" ShowHeader="False" ShowOnPageLoad="True">
                        <ContentCollection>
                            <dx:PopupControlContentControl runat="server">
                                <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" EnableTheming="True" UseDefaultPaddings="False" Height="620px" Theme="Aqua">
                                    <Items>
                                        <dx:LayoutGroup Caption="" ColCount="2" VerticalAlign="Middle" Width="1040px" ColSpan="1" ColumnCount="2">
                                            <Border BorderStyle="None" />
                                            <GroupBoxStyle Border-BorderStyle="None">
                                                <Border BorderStyle="None"></Border>
                                            </GroupBoxStyle>
                                            <Items>
                                                <dx:LayoutGroup Caption="" HorizontalAlign="Left" RowSpan="3" ColCount="1" ColSpan="1">
                                                    <Border BorderStyle="None" />
                                                    <Paddings PaddingBottom="0px" PaddingLeft="0px" PaddingRight="0px" PaddingTop="0px" />
                                                    <GroupBoxStyle Border-BorderStyle="None">
                                                        <Border BorderStyle="None"></Border>

                                                        <BorderLeft BorderStyle="None" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderRight BorderStyle="None" />
                                                        <BorderBottom BorderStyle="None" />
                                                    </GroupBoxStyle>
                                                    <Items>
                                                        <dx:LayoutGroup Caption="" ColCount="2" HorizontalAlign="Left" ColSpan="1" ColumnCount="2">
                                                            <Items>
                                                                <dx:LayoutItem Caption="From Date" HorizontalAlign="Left" ColSpan="1">
                                                                    <LayoutItemNestedControlCollection>
                                                                        <dx:LayoutItemNestedControlContainer runat="server">
                                                                            <dx:ASPxDateEdit ID="mskStartDate" runat="server" ClientInstanceName="mskStartDate">
                                                                                <ClientSideEvents DateChanged="function(s, e) {mskStartDate.GetMainElement().style.backgroundColor = &quot;&quot;;}" DropDown="function(s, e) {mskStartDate.GetMainElement().style.backgroundColor = &quot;&quot;;}" />
                                                                            </dx:ASPxDateEdit>
                                                                        </dx:LayoutItemNestedControlContainer>
                                                                    </LayoutItemNestedControlCollection>
                                                                </dx:LayoutItem>
                                                                <dx:LayoutItem Caption="To Date" HorizontalAlign="Left" ColSpan="1">
                                                                    <LayoutItemNestedControlCollection>
                                                                        <dx:LayoutItemNestedControlContainer runat="server">
                                                                            <dx:ASPxDateEdit ID="mskEndDate" runat="server" ClientInstanceName="mskEndDate">
                                                                                <ClientSideEvents ButtonClick="function(s, e) {}" DateChanged="function(s, e) {mskEndDate.GetMainElement().style.backgroundColor = &quot;&quot;;}" DropDown="function(s, e) {mskEndDate.GetMainElement().style.backgroundColor = &quot;&quot;;}" />
                                                                            </dx:ASPxDateEdit>
                                                                        </dx:LayoutItemNestedControlContainer>
                                                                    </LayoutItemNestedControlCollection>
                                                                </dx:LayoutItem>
                                                            </Items>
                                                        </dx:LayoutGroup>
                                                        <dx:LayoutItem Caption="Payment Type" HorizontalAlign="Left" ShowCaption="True" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxRadioButtonList ID="rbPaymentType" runat="server" EnableClientSideAPI="True" RepeatDirection="Horizontal" SelectedIndex="1" Width="100%" ClientInstanceName="rbPaymentType" Theme="Aqua">
                                                                        <RadioButtonStyle Wrap="True">
                                                                        </RadioButtonStyle>
                                                                        <Items>
                                                                            <dx:ListEditItem Text="UP" Value="optUP" />
                                                                            <dx:ListEditItem Selected="True" Text="Claim" Value="optClaim" />
                                                                            <dx:ListEditItem Text="UP and Claim" Value="optUPClaim" />
                                                                        </Items>
                                                                        <RootStyle Wrap="False">
                                                                        </RootStyle>
                                                                    </dx:ASPxRadioButtonList>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Only claims with payment totaling more than:" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtRestrictThousands" runat="server" Text="0">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="State Fund" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxGridLookup ID="gridStateFund" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridStateFund" DataSourceID="StateFund" KeyFieldName="sf_code" SelectionMode="Multiple" Width="100%">
                                                                        <GridViewProperties>
                                                                            <Templates>
                                                                                <StatusBar>
                                                                                    <table class="OptionsTable" style="float: right">
                                                                                        <tr>
                                                                                            <td>
                                                                                                <dx:ASPxButton ID="Close" runat="server" AutoPostBack="False" Text="Close">
                                                                                                    <ClientSideEvents Click="function(s, e) {CloseGridStateFund();}" />
                                                                                                </dx:ASPxButton>
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </StatusBar>
                                                                            </Templates>
                                                                            <SettingsBehavior AllowFocusedRow="True" AllowSelectByRowClick="True" ColumnResizeMode="Control" />
                                                                            <SettingsPager Mode="ShowAllRecords" PageSize="5">
                                                                            </SettingsPager>
                                                                            <Settings ShowFilterRow="True" ShowGroupButtons="False" ShowStatusBar="Visible" VerticalScrollBarMode="Visible" VerticalScrollBarStyle="VirtualSmooth" />
                                                                            <EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>

                                                                            <SettingsPopup>
                                                                                <HeaderFilter MinHeight="140px"></HeaderFilter>
                                                                                <FilterControl AutoUpdatePosition="False"></FilterControl>
                                                                            </SettingsPopup>
                                                                        </GridViewProperties>
                                                                        <Columns>
                                                                            <dx:GridViewCommandColumn SelectAllCheckboxMode="AllPages" ShowInCustomizationForm="True" ShowSelectCheckbox="True" VisibleIndex="0" Width="50px">
                                                                            </dx:GridViewCommandColumn>
                                                                            <dx:GridViewDataTextColumn Caption="State" FieldName="sf_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1" Width="50px" Name="State">
                                                                            </dx:GridViewDataTextColumn>
                                                                            <dx:GridViewDataTextColumn Caption="Description" FieldName="Description" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2" Width="400px" Name="Description">
                                                                            </dx:GridViewDataTextColumn>
                                                                        </Columns>
                                                                        <ClearButton Position="Left">
                                                                        </ClearButton>
                                                                    </dx:ASPxGridLookup>
                                                                    <asp:SqlDataSource ID="StateFund" runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="sp_com_sf_sel_all" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Insolvency" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxGridLookup ID="gridInsolvency" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridInsolvency" DataSourceID="Insolvency" KeyFieldName="mbr_insolv_code" SelectionMode="Multiple" Width="100%">
                                                                        <GridViewProperties>
                                                                            <Templates>
                                                                                <StatusBar>
                                                                                    <table class="OptionsTable" style="float: right">
                                                                                        <tr>
                                                                                            <td>
                                                                                                <dx:ASPxButton ID="Close" runat="server" AutoPostBack="false" ClientSideEvents-Click="CloseGridInsolvency" Text="Close" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </StatusBar>
                                                                            </Templates>
                                                                            <SettingsBehavior AllowFocusedRow="True" AllowSelectByRowClick="True" ColumnResizeMode="Control" />
                                                                            <SettingsPager Mode="ShowAllRecords">
                                                                            </SettingsPager>
                                                                            <Settings ShowFilterRow="True" ShowGroupButtons="False" ShowStatusBar="Visible" VerticalScrollBarMode="Visible" VerticalScrollBarStyle="VirtualSmooth" />
                                                                            <EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>

                                                                            <SettingsPopup>
                                                                                <HeaderFilter MinHeight="140px"></HeaderFilter>
                                                                                <FilterControl AutoUpdatePosition="False"></FilterControl>
                                                                            </SettingsPopup>
                                                                        </GridViewProperties>
                                                                        <Columns>
                                                                            <dx:GridViewCommandColumn SelectAllCheckboxMode="AllPages" ShowInCustomizationForm="True" ShowSelectCheckbox="True" VisibleIndex="0">
                                                                            </dx:GridViewCommandColumn>
                                                                            <dx:GridViewDataTextColumn Caption="NAIC" FieldName="mbr_naic_code" ShowInCustomizationForm="True" VisibleIndex="1" Width="50px">
                                                                            </dx:GridViewDataTextColumn>
                                                                            <dx:GridViewDataTextColumn Caption="Insolvency" FieldName="mbr_insolv_code" ShowInCustomizationForm="True" VisibleIndex="2" Width="70px">
                                                                            </dx:GridViewDataTextColumn>
                                                                            <dx:GridViewDataTextColumn Caption="Name" FieldName="mbr_name" ShowInCustomizationForm="True" VisibleIndex="3" Width="300px">
                                                                            </dx:GridViewDataTextColumn>
                                                                        </Columns>
                                                                    </dx:ASPxGridLookup>
                                                                    <asp:SqlDataSource ID="Insolvency" runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="sp_043_mbr_sel_insolv" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Policy Number" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtPolicyNumber" runat="server">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Tax Number" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtTaxNumber" runat="server">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Tax Payer Name" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtProviderName" runat="server">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Payee Name" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtPayeeName" runat="server">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Agent" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxTextBox ID="txtAgent" runat="server">
                                                                    </dx:ASPxTextBox>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Insurance Account" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxComboBox ID="lstInsuranceAccount" runat="server" DataSourceID="InsuranceAccount" Width="100%" ClientInstanceName="lstInsuranceAccount">
                                                                        <Columns>
                                                                            <dx:ListBoxColumn Caption="Code" FieldName="ia_code" Width="10px" />
                                                                            <dx:ListBoxColumn Caption="Description" FieldName="ia_description" />
                                                                        </Columns>
                                                                    </dx:ASPxComboBox>
                                                                    <asp:SqlDataSource ID="InsuranceAccount" runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="sp_043_ia_sel" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Line Of Insurance" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxComboBox ID="cboLineOfInsurance" runat="server" DataSourceID="LineOfInsurance" Width="100%">
                                                                        <Columns>
                                                                            <dx:ListBoxColumn Caption="Code" FieldName="loi_number" Width="10px" />
                                                                            <dx:ListBoxColumn Caption="Description" FieldName="loi_description" />
                                                                        </Columns>
                                                                    </dx:ASPxComboBox>
                                                                    <asp:SqlDataSource ID="LineOfInsurance" runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="sp_043_ilo_sel" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutItem Caption="Coverage Code" ColSpan="1">
                                                            <LayoutItemNestedControlCollection>
                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                    <dx:ASPxComboBox ID="cboCoverageCode" runat="server" DataSourceID="CoverageCode" Width="100%" ClientInstanceName="cboCoverageCode">
                                                                        <Columns>
                                                                            <dx:ListBoxColumn Caption="Code" FieldName="uds_code" Width="10px" />
                                                                            <dx:ListBoxColumn Caption="Description" FieldName="uds_description" />
                                                                        </Columns>
                                                                    </dx:ASPxComboBox>
                                                                    <asp:SqlDataSource ID="CoverageCode" runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="sp_043_iud_sel_dtl" SelectCommandType="StoredProcedure"></asp:SqlDataSource>
                                                                </dx:LayoutItemNestedControlContainer>
                                                            </LayoutItemNestedControlCollection>
                                                        </dx:LayoutItem>
                                                        <dx:LayoutGroup Caption="" ColCount="3" ColSpan="1" ColumnCount="3">
                                                            <Border BorderStyle="None" />
                                                            <GroupBoxStyle Border-BorderStyle="None">
                                                                <Border BorderStyle="None"></Border>
                                                            </GroupBoxStyle>
                                                            <Items>
                                                                <dx:LayoutItem Caption="" Width="100%" ColSpan="1">
                                                                    <LayoutItemNestedControlCollection>
                                                                        <dx:LayoutItemNestedControlContainer runat="server">
                                                                            <dx:ASPxRadioButtonList ID="rbgGenerate" runat="server" ClientInstanceName="rbgGenerate" RepeatDirection="Horizontal" SelectedIndex="1" Width="100%">
                                                                                <Items>
                                                                                    <dx:ListEditItem Text="Generate To Report" Value="Generate To Report" />
                                                                                    <dx:ListEditItem Text="Generate To Grid" Value="Generate To Grid" Selected="True" />
                                                                                </Items>
                                                                            </dx:ASPxRadioButtonList>
                                                                        </dx:LayoutItemNestedControlContainer>
                                                                    </LayoutItemNestedControlCollection>
                                                                </dx:LayoutItem>
                                                                <dx:LayoutItem Caption="" ColSpan="1">
                                                                    <LayoutItemNestedControlCollection>
                                                                        <dx:LayoutItemNestedControlContainer runat="server">
                                                                            <dx:ASPxButton ID="cmdGenerate" runat="server" AutoPostBack="False" Text="Generate">
                                                                                <ClientSideEvents Click="function(s, e) {CheckValues();}" />
                                                                            </dx:ASPxButton>
                                                                        </dx:LayoutItemNestedControlContainer>
                                                                    </LayoutItemNestedControlCollection>
                                                                </dx:LayoutItem>
                                                                <dx:LayoutItem Caption="" HorizontalAlign="Center" ColSpan="1">
                                                                    <LayoutItemNestedControlCollection>
                                                                        <dx:LayoutItemNestedControlContainer runat="server">
                                                                            <dx:ASPxButton ID="cmdCancel" runat="server" AutoPostBack="False" Text="Exit">
                                                                                <ClientSideEvents Click="function(s, e) {
TestFunction();
}" />
                                                                            </dx:ASPxButton>
                                                                        </dx:LayoutItemNestedControlContainer>
                                                                    </LayoutItemNestedControlCollection>
                                                                </dx:LayoutItem>
                                                            </Items>
                                                            <ParentContainerStyle Border-BorderStyle="None">
                                                                <Border BorderStyle="None"></Border>
                                                            </ParentContainerStyle>
                                                        </dx:LayoutGroup>
                                                    </Items>
                                                    <ParentContainerStyle Border-BorderStyle="None">
                                                        <Paddings PaddingBottom="0px" PaddingLeft="0px" PaddingRight="0px" PaddingTop="0px" />

                                                        <Border BorderStyle="None"></Border>

                                                        <BorderLeft BorderStyle="None" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderRight BorderStyle="None" />
                                                        <BorderBottom BorderStyle="None" />
                                                    </ParentContainerStyle>
                                                </dx:LayoutGroup>
                                                <dx:LayoutGroup Caption="" ColCount="1" ColSpan="1">
                                                    <Border BorderStyle="None" />
                                                    <GroupBoxStyle Border-BorderStyle="None">
                                                        <Border BorderStyle="None"></Border>
                                                    </GroupBoxStyle>
                                                    <Items>
                                                        <dx:LayoutGroup Caption="" ColCount="1" ColSpan="1" RowSpan="3">
                                                            <Border BorderStyle="None" />
                                                            <GroupBoxStyle Border-BorderStyle="None">
                                                                <Border BorderStyle="None"></Border>
                                                            </GroupBoxStyle>
                                                            <Items>
                                                                <dx:LayoutGroup Caption="" ColCount="3" GroupBoxDecoration="None" RowSpan="2" ColSpan="1" ColumnCount="3">
                                                                    <GroupBoxStyle Border-BorderStyle="None">
                                                                        <Border BorderStyle="None"></Border>
                                                                    </GroupBoxStyle>
                                                                    <Items>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxLabel ID="ASPxFormLayout1_E38" runat="server" Text="UP Handler">
                                                                                    </dx:ASPxLabel>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxComboBox ID="cboUPHandler" runat="server" Enabled="False" ClientInstanceName="cboUPHandler">
                                                                                    </dx:ASPxComboBox>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:EmptyLayoutItem ColSpan="1">
                                                                        </dx:EmptyLayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxLabel ID="ASPxFormLayout1_E40" runat="server" Text="Claim Handler">
                                                                                    </dx:ASPxLabel>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxComboBox ID="cboClaimHandler" runat="server" Enabled="False" ClientInstanceName="cboClaimHandler">
                                                                                    </dx:ASPxComboBox>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxCheckBox ID="chkAllHandlers" runat="server" CheckState="Unchecked" Layout="Flow" Text="All" TextAlign="Left" ClientInstanceName="chkAllHandlers">
                                                                                    </dx:ASPxCheckBox>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxLabel ID="ASPxFormLayout1_E43" runat="server" Text="Year Of Loss">
                                                                                    </dx:ASPxLabel>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxComboBox ID="cboYearOfLoss" runat="server" Enabled="False" ClientInstanceName="cboYearOfLoss">
                                                                                    </dx:ASPxComboBox>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:EmptyLayoutItem ColSpan="1">
                                                                        </dx:EmptyLayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxLabel ID="ASPxFormLayout1_E45" runat="server" Text="Lookup Code">
                                                                                    </dx:ASPxLabel>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxComboBox ID="cboLookUpCode" runat="server" Enabled="False" ClientInstanceName="cboLookUpCode">
                                                                                    </dx:ASPxComboBox>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                    </Items>
                                                                    <ParentContainerStyle Border-BorderStyle="None">
                                                                        <Border BorderStyle="None"></Border>
                                                                    </ParentContainerStyle>
                                                                </dx:LayoutGroup>
                                                                <dx:LayoutGroup Caption="Include" ColCount="1" ColSpan="1">
                                                                    <Items>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxRadioButtonList ID="rbExpenseLoss" runat="server" RepeatDirection="Horizontal" SelectedIndex="2" Width="100%" ClientInstanceName="rbExpenseLoss" Theme="Aqua">
                                                                                        <Items>
                                                                                            <dx:ListEditItem Text="Expense" Value="optExpense" />
                                                                                            <dx:ListEditItem Text="Loss" Value="optLoss" />
                                                                                            <dx:ListEditItem Selected="True" Text="Expense + Loss" Value="optExpenseLoss" />
                                                                                        </Items>
                                                                                        <RootStyle Border-BorderStyle="None">
                                                                                            <Border BorderStyle="None"></Border>
                                                                                        </RootStyle>
                                                                                    </dx:ASPxRadioButtonList>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                            <Border BorderStyle="None" />
                                                                            <NestedControlCellStyle Border-BorderStyle="None">
                                                                                <Border BorderStyle="None"></Border>
                                                                            </NestedControlCellStyle>
                                                                            <ParentContainerStyle Border-BorderStyle="None">
                                                                                <Border BorderStyle="None"></Border>
                                                                            </ParentContainerStyle>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxCheckBoxList ID="chkAmountType" runat="server" ClientInstanceName="chkAmountType" RepeatDirection="Horizontal" Width="100%">
                                                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) {}" />
                                                                                        <Items>
                                                                                            <dx:ListEditItem Text="All" Value="chkAll" />
                                                                                            <dx:ListEditItem Text="Paid Checks" Value="chkPaidChecks" />
                                                                                            <dx:ListEditItem Text="Recovery" Value="chkRecovery" />
                                                                                            <dx:ListEditItem Text="Reversal" Value="chkReversal" />
                                                                                        </Items>
                                                                                    </dx:ASPxCheckBoxList>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                            <Border BorderStyle="None" />
                                                                            <ParentContainerStyle Border-BorderStyle="None">
                                                                                <Border BorderStyle="None"></Border>
                                                                            </ParentContainerStyle>
                                                                        </dx:LayoutItem>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxCheckBoxList ID="chkTotalsOnly" runat="server" ClientInstanceName="chkTotalsOnly" Width="100%">
                                                                                        <Items>
                                                                                            <dx:ListEditItem Text="Totals Only" Value="chkTotalsOnly" />
                                                                                        </Items>
                                                                                    </dx:ASPxCheckBoxList>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                            <Border BorderStyle="None" />
                                                                            <ParentContainerStyle Border-BorderStyle="None">
                                                                                <Border BorderStyle="None"></Border>
                                                                            </ParentContainerStyle>
                                                                        </dx:LayoutItem>
                                                                    </Items>
                                                                    <ParentContainerStyle>
                                                                        <Paddings Padding="0px" PaddingBottom="0px" PaddingLeft="0px" PaddingRight="0px" PaddingTop="0px" />
                                                                    </ParentContainerStyle>
                                                                </dx:LayoutGroup>
                                                                <dx:LayoutGroup Caption="Helmsman Reporting" UseDefaultPaddings="False" ColCount="1" ColSpan="1">
                                                                    <Items>
                                                                        <dx:LayoutItem Caption="" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <dx:ASPxCheckBoxList ID="chkHelmsman" runat="server" Width="100%" ClientInstanceName="chkHelmsman" Theme="Aqua">
                                                                                        <Items>
                                                                                            <dx:ListEditItem Text="Helmsman Only" Value="chkHelmsmanOnly" />
                                                                                            <dx:ListEditItem Text="Exclude Helmsman" Value="chkExcludeHelmsman" />
                                                                                        </Items>
                                                                                    </dx:ASPxCheckBoxList>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                        </dx:LayoutItem>
                                                                    </Items>
                                                                </dx:LayoutGroup>
                                                                <dx:LayoutGroup Caption="Recovery" ColCount="1" ColSpan="1" RowSpan="3" Visible="True" Height="80px">
                                                                    <Items>
                                                                        <dx:LayoutItem Caption="Type" ColSpan="1">
                                                                            <LayoutItemNestedControlCollection>
                                                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                                                    <div style="overflow: auto; height: 60px">
                                                                                        <dx:ASPxCheckBoxList ID="lstRecoveryType" runat="server" ClientInstanceName="lstRecoveryType">
                                                                                            <Border BorderStyle="None" />
                                                                                        </dx:ASPxCheckBoxList>
                                                                                    </div>
                                                                                </dx:LayoutItemNestedControlContainer>
                                                                            </LayoutItemNestedControlCollection>
                                                                            <BorderTop BorderStyle="None" />
                                                                            <BorderRight BorderStyle="None" />
                                                                            <BorderLeft BorderStyle="None" />
                                                                            <BorderBottom BorderStyle="None" />
                                                                            <Border BorderStyle="None" />
                                                                        </dx:LayoutItem>
                                                                    </Items>
                                                                </dx:LayoutGroup>
                                                            </Items>
                                                        </dx:LayoutGroup>
                                                    </Items>
                                                    <ParentContainerStyle Border-BorderStyle="None">
                                                        <Border BorderStyle="None"></Border>
                                                    </ParentContainerStyle>
                                                </dx:LayoutGroup>
                                            </Items>
                                        </dx:LayoutGroup>
                                    </Items>
                                </dx:ASPxFormLayout>
                            </dx:PopupControlContentControl>
                        </ContentCollection>
                    </dx:ASPxPopupControl>
                </td>
                <%--                <td></td>--%>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
        </table>

        <dx:ASPxLoadingPanel runat="server" Text="Retrieving records from server..." ClientInstanceName="loadingPanel" HorizontalAlign="Center" VerticalAlign="Middle" ID="loadingPanel">
        </dx:ASPxLoadingPanel>

        <dx:ASPxCallback runat="server" ClientInstanceName="Callback1" ID="Callback1">
            <ClientSideEvents CallbackComplete="function(s, e) {loadingPanel.Hide();}" BeginCallback="function(s, e) {}" EndCallback="function(s, e) {}" CallbackError="function(s, e) {}"></ClientSideEvents>
        </dx:ASPxCallback>

        <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:dbCapP1_DevConnectionString %>" SelectCommand="SELECT DISTINCT cd_value, cd_description, cd_active AS [ &amp; Environment.NewLine &amp; ], cd_id FROM code AS [ &amp; Environment.NewLine &amp; ] WHERE (cd_category = 'Claim Recovery' OR cd_category = 'UP Recovery') AND (cd_active = 'Y')" ID="RecoveryType"></asp:SqlDataSource>



        <%--        <dx:ASPxGlobalEvents ID="ASPxGlobalEvents1" runat="server">
            <ClientSideEvents EndCallback="function(s, e) {
if (e.control.name == 'Callback1') {
          	ShowGridWindow();
            }
if (e.control.name == 'Callback2') {
          	ShowReportWindow();
            }
}" />
        </dx:ASPxGlobalEvents>--%>



        <dx:ASPxCallback ID="Callback2" runat="server" ClientInstanceName="Callback2">
            <ClientSideEvents CallbackComplete="function(s, e) {loadingPanel.Hide();}" />
        </dx:ASPxCallback>

        <table class="dxflInternalEditorTable_Aqua">
            <tr>
                <td class="auto-style7"></td>
                <td class="auto-style7"></td>
                <td class="auto-style7"></td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxCallbackPanel ID="Callback3" runat="server" ClientInstanceName="Callback3" Width="200px" Height="26px">
                        <PanelCollection>
                            <dx:PanelContent runat="server">
                                <canvas id="myCanvas"></canvas>
                            </dx:PanelContent>
                        </PanelCollection>
                    </dx:ASPxCallbackPanel>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td></td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td class="auto-style1"></td>
                <td class="auto-style1">&nbsp;</td>
                <td class="auto-style1"></td>
            </tr>
            <tr>
                <td></td>
                <td>&nbsp;</td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>

        </table>
               </dx:PanelContent>
           </PanelCollection>
       </dx:ASPxCallbackPanel>
    </form>
</body>
</html>
